/*
	Acquisition + encoder
  MASDE (double star Induction motor)
	Pour DS1104
	light version Lotfi BAGHLI			  rev 12/12/2006
*/


#define inputI_doubleEtoile( i1, i2, di1, di2) \
{ \
	i1 = 0.03+20.0*( ds1104_adc_read_conv(2) ); \
	i2 = 20.0*( ds1104_adc_read_conv(3) ); \
	di1 = -0.03+20.0*( ds1104_adc_read_conv(4) ); \
	di2 = 0.07+20.0*( ds1104_adc_read_conv(5) ); \
}

#define inputWm \
{ \
  /* read incremental encoder counter */ \
	inc_k = ds1104_inc_position_read(1, DS1104_INC_LINE_SUBDIV_4); \
	/*inc_k = ds1104_inc_counter_read(1); */\
 \
  /* calculate mechanical angle rd  _ avec inversion _*/ \
  mpos=POStoRD*(float)inc_k; \
 \
  /* calculate mechanical speed rd/s */ \
	FIR_Wm[0]=POStoRD_S*(float)( inc_k - inc_kOld ); \
	inc_kOld = inc_k; \
 \
	WmMesure=0.2*(FIR_Wm[0]+FIR_Wm[1]+FIR_Wm[2]+FIR_Wm[3]+FIR_Wm[4]); \
	FIR_Wm[4]=FIR_Wm[3]; \
	FIR_Wm[3]=FIR_Wm[2]; \
	FIR_Wm[2]=FIR_Wm[1]; \
	FIR_Wm[1]=FIR_Wm[0]; \
}
